<?php
    
//valida usuario no login
    
    //BUSCA O USUARIO - CODUSU
    function login($p_usuario, $p_senha){

      

        include 'conecta.inc.php';
 
        //MONTA O SELECT PRA TRAZER O USUARIO E A SENHA
        $l_selectusu = "
            SELECT 
                CODUSU,
                COALESCE(VEALLCLIIGNORACONFIG,0) AS VEALLCLI,
                CADCLI,
                CADCLIALT,
                PERGUNTALOJA,
                CODLOJA,
                LANACEITAMENOSMINIMO,
                ISVENDEDORAFV,
                osmudaprecoprod,
                OSCANCELA,
                TPSAIUSAPENASASSOC as usa_tipo_saida_associado

                
            FROM SENHAS 
            WHERE UPPER(USUARIO) LIKE UPPER('$p_usuario') 
                AND UPPER(SENHA) LIKE UPPER('$p_senha') ";
 

        //echo $l_selectusu; //mostra o select - so para testes

        //MONTA MATRIZ QUE VAI TRAZER O CODUS
        //cria id do select 
        $a_reg = qry($con,  $l_selectusu, $a_campos);
 
        if (cria_matriz_campos($a_reg,$a_campos,$l_a_usu)) {  
            if(!$l_a_usu[0]) {
                return null;
            }

            $p_veallcli  = $l_a_usu[0][veallcli];
            if ($p_veallcli) {
                setcookie("veallcli", $p_veallcli, 0,'/');
            }
            return $l_a_usu[0];
        } 

        
    }






    function getTipoSaidaPadrao($codusu, $codloja) {
        include_once 'funcoes.inc';

        $select = "SELECT codtiposai FROM SENHASTIPOSAI WHERE codusu = $codusu AND codloja = $codloja AND isPADRAO = 1";

        $a_reg = qry($con,  $select, $a_campos);

        if (cria_matriz_campos($a_reg,$a_campos, $result)) {
            if(is_null($result[0]))
                return null;

            return $result[0]["codtiposai"];
        }

    }
    
    


    function getCredenciaisServidorDeEmail($codusu) {
        include_once 'funcoes.inc';

        $select = "SELECT emailhost, email, EmailNome, PortaSMTP, EmailSenha FROM senhas WHERE codusu = $codusu";

        $a_reg = qry($con,  $select, $a_campos);

        if (cria_matriz_campos($a_reg,$a_campos, $result)) {
            return $result[0];
        }

    }

    function isGerente($codusu) {
        include_once 'funcoes.inc';

        $select = "select count(codusu) as n from senhas Where codgerente = $codusu";

        $a_reg = qry($con,  $select, $a_campos);

        if (cria_matriz_campos($a_reg,$a_campos, $result)) {
            return $result[0]['n'] > 0;
        }

    }

    function isGerenteOf($codusu, $codvnd) {
        include_once 'funcoes.inc';

        $select = "select count(codusu) as n from senhas Where codgerente = $codusu and codvnd = $codvnd";

        $a_reg = qry($con,  $select, $a_campos);

        if (cria_matriz_campos($a_reg,$a_campos, $result)) {
            return $result[0]['n'] > 0;
        }

    }
    

    
     //BUSCA O VENDEDOR - CODVND
    function GetCodVnd(){

        //include 'conecta.inc.php';
        include_once 'funcoes.inc';
        include '../idiomas/config.inc';

        $p_codusu = lecookie("codusu");
        //MONTA O SELECT PRA TRAZER O USUARIO E A SENHA
        $l_selectusu = "SELECT CODVND FROM SENHAS WHERE CODUSU = $p_codusu";


        //echo $l_selectusu; //mostra o select - so para testes

        //MONTA MATRIZ QUE VAI TRAZER O CODVND
        //cria id do select 
        $a_reg = qry($con,  $l_selectusu, $a_campos);

        if (cria_matriz_campos($a_reg,$a_campos,$l_a_usu)) {  
       
            $codvnd = $l_a_usu[0][codvnd];
               
      
        } 
        
        
        if ( $codvnd){
            return $l_a_usu[0][codvnd];
        }else{
        
            echo "<BR><h1>$msg_usuario_sem_vendedor_associado</H1>";
        }
        

        
    }
    
    
  
    function getSaldoFlex() {
        $codvnd = GetCodVnd();
        if(is_null($codvnd) || is_nan($codvnd)) {
            return 0;
        }
        include_once 'funcoes.inc';

        $qry = "SELECT codvnd, vendedor, saldo FROM SALDOFLEXVENDEDOR WHERE codvnd = $codvnd";
        
        $a_reg = qry($con,  $qry, $a_campos);
    
        if (cria_matriz_campos($a_reg,$a_campos, $saldoflex)) {  
       
            if(count($saldoflex) == 0)
                return 0;

            return floatval($saldoflex[0]["saldo"]);
        }else{ 
            return 0;
        }
    }
    
    
    
    function getMediaMix() {
        $codvnd = GetCodVnd();
        if(is_null($codvnd) || is_nan($codvnd)) {
            return 0;
        }
        include_once 'funcoes.inc';

        $qry = "select CODVND, VENDEDOR, NITENS, NVENDAS, div from SALDOMIXPRODVENDEDOR where codvnd = $codvnd";
        
        $a_reg = qry($con,  $qry, $a_campos);
    
        if (cria_matriz_campos($a_reg,$a_campos, $mediamix)) {  
       
            if(count($mediamix) == 0)
                return 0;

            return floatval($mediamix[0]["div"]);
        }else{ 
            return 0;
        }
    }
    
    
    
    
    
    
    
?>